@font-face {
  src: url('/global/base/font/DFVN-Big-Bang.ttf');
  font-family: bigbang;
}

%f-primary {
  font-family: 'MyWebFont', Fallback, sans-serif;
}
%anti-alias {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
body {
  @extend %f-primary;
  color: $c-black;

  * {
    @extend %anti-alias;
  }
}

a {
  @include transition(all);
  color: $c-black;
  text-decoration: none;
}

%price-large {
  font-style: normal;
  font-weight: 500;
  font-size: 20px;
  line-height: 30px;
}

.price-large {
  @extend %price-large;
}

.p-large {
  @extend %price-large;
}

%h1 {
  font-style: normal;
  font-weight: 700;
  font-size: 40px;
  line-height: 60px;
}

.h1,
h1 {
  @extend %h1;
}

%h2 {
  font-style: normal;
  font-weight: 400;
  font-size: 40px;
  line-height: 60px;
}

.h2,
h2 {
  @extend %h2;
}

%h3 {
  font-style: normal;
  font-weight: 400;
  font-size: 30px;
  line-height: 45px;
}

.h3,
h3 {
  @extend %h3;
}

%h4 {
  @extend %f-primary;
  font-style: normal;
  font-weight: 700;
  font-size: 32px;
  line-height: 48px;
}

.h4,
h4 {
  @extend %h4;
}

%h5 {
  @extend %f-primary;
  font-style: normal;
  font-weight: 500;
  font-size: 32px;
  line-height: 48px;
}

.h5,
h5 {
  @extend %h5;
}

%h6 {
  @extend %f-primary;
  font-style: normal;
  font-weight: 400;
  font-size: 30px;
  line-height: 45px;
}

.h6,
h6 {
  @extend %h6;
}

%h7 {
  @extend %f-primary;
  font-style: normal;
  font-weight: 400;
  font-size: 24px;
  line-height: 36px;
}

.h7,
h7 {
  @extend %h7;
}

%h8 {
  @extend %f-primary;
  font-style: normal;
  font-weight: 700;
  font-size: 24px;
  line-height: 36px;
}

.h8,
h8 {
  @extend %h8;
}


.label,
label {
  @extend %h8;
}

%p1 {
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 18px;
}

.p1,
p1 {
  @extend %p1;
}

%p2 {
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
}

.p2,
p2 {
  @extend %p2;
}

%p3 {
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 21px;
}

.p3,
p3 {
  @extend %p3;
}

%p4 {
  @extend %f-primary;
  font-style: normal;
  font-weight: 500;
  font-size: 14px;
  line-height: 21px;
}

.p4,
p4 {
  @extend %p4;
}

%p5 {
  font-style: normal;
  font-weight: 600;
  font-size: 14px;
  line-height: 21px;
}

.p5,
p5 {
  @extend %p5;
}

%p6 {
  @extend %f-primary;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 28px;
}

.p6,
p6 {
  @extend %p6;
}

%p {
  font-style: normal;
  font-weight: normal;
  font-size: 14px;
  line-height: 21px;

  @media (min-width: 768px) {
    font-size: 16px;
    line-height: 24px;
  }
}

.p,
p {
  @extend %p;
}

%p-small {
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  line-height: 18px;
}

.p-small {
  @extend %p-small;
}

%p-navsmall {
  font-style: normal;
  font-weight: 600;
  font-size: 12px;
  line-height: 18px;
}

.p-navsmall {
  @extend %p-navsmall;
}

%p-xsmall {
  font-style: normal;
  font-weight: 700;
  font-size: 9px;
  line-height: 9px;
}

.p-xsmall {
  @extend %p-xsmall;
}

%p-bold {
  font-style: normal;
  font-weight: 500;
  font-size: 21.4918px;
  line-height: 27px;
}

.p-bold {
  @extend %p-bold;
}

.cursor {
  cursor: pointer;
}

.border-radius-s {
  border-radius: 4px;
}

.border-radius {
  border-radius: 8px;
}

.border {
  border: 1px solid $c-border;
}

.border-2 {
  border: 1px solid $c-border-2;
}

.border-yellow {
  border: 1px solid $c-yellow;
}

.border-blue {
  border: 1px solid $c-blue;
}

.border-red {
  border: 1px solid $c-red-2-text;
}

.border-top {
  border-top: 1px solid $c-border;
}

.border-left {
  border-left: 1px solid $c-border;
}

.border-left-1 {
  border-left: 2px solid #06c270;
}

.border-left-2 {
  border-left: 2px solid #585ca2;
}

.border-right {
  border-right: 1px solid $c-border;
}

.border-bottom {
  border-bottom: 1px solid $c-border;
}

.border-error {
  border: 1px solid $c-error;
}
